
--
-- ### Cast checks
-- 
-- 
--

drop if exists table t_castcheck;


create table t_castcheck ( a int, b decimal(10,2), c string(10));

insert into t_castcheck values ( 20, (decimal)44.99, '3.45' );

select * from t_castcheck;

select a + b from t_castcheck;
select b + a from t_castcheck;
select b - a from t_castcheck;
select a * b from t_castcheck;
select b * a from t_castcheck;

select b + c from t_castcheck;
select c + b from t_castcheck;
select c - b from t_castcheck;
select c * b from t_castcheck;
select b * c from t_castcheck;

select b + c from t_castcheck;
select c + b from t_castcheck;
select b * c from t_castcheck;
-- select d * b from t_castcheck; not working, target datatype must be specified as first operand




